Bug 1066852 - Review Request: perl-Encode-DoubleEncodedUTF8 - Fix double encoded UTF-8 bytes to the correct one
Summary: Review Request: perl-Encode-DoubleEncodedUTF8 - Fix double encoded UTF-8 byte...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 08:50 UTC by David Dick
Modified: 2014-03-15 19:50 UTC (History)
2 users (show)

Fixed In Version: perl-Encode-DoubleEncodedUTF8-0.05-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-10 06:47:00 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-02-19 08:50:00 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-Encode-DoubleEncodedUTF8.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Encode-DoubleEncodedUTF8-0.05-1.fc20.src.rpm
Description: Fix double encoded UTF-8 bytes to the correct one
Fedora Account System Username: ddick

Comment 1 Petr Šabata 2014-02-19 15:54:02 UTC
Missing BRs:
perl(Encode::Encoding), used at lib/Encode/DoubleEncodedUTF8.pm:4
perl(ExtUtils::MM_Unix), required at inc/Module/Install/Metadata.pm:317,326
perl(File::Spec), used at inc/Module/Install/Can.pm:6

Net::FTP and Pod::Escapes are definitely not required for build.  This most likely applies to many of the optional dependencies in inc/Spiffy.pm and inc/Test/*.  I suggest going through that and removing what you don't really need to keep the package simple.  Less dependencies mean less pain during bootstrap rebuilds :)

Comment 2 David Dick 2014-02-20 08:37:05 UTC
I've had an attempt at filtering out the non-required deps.  If you've got any other suggestions, more than happy to apply them.  Thanks again for all your help!

The Spec and SRPM files have been updated

Comment 3 David Dick 2014-02-28 07:16:50 UTC
This is ready for approval.

Comment 4 Petr Šabata 2014-02-28 09:07:25 UTC
Hmm, the SPEC link points to the same, old, unchanged file...?

Comment 5 David Dick 2014-02-28 09:29:40 UTC
That's embarrassing.  I've actually uploaded the files now.  Sorry.

Comment 6 Petr Šabata 2014-02-28 12:51:57 UTC
No worries :)

I see you've dropped Pod::Text.  That one is required in readme_from() which is called in Makefile.PL.  Please, put it back before pushing.

I'm going to approve this now.

Comment 7 David Dick 2014-02-28 17:43:45 UTC
New Package SCM Request
=======================
Package Name: perl-Encode-DoubleEncodedUTF8
Short Description: Fix double encoded UTF-8 bytes to the correct one
Owners: ddick
Branches: f20 el6 epel7
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2014-02-28 18:20:01 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-03-01 00:39:36 UTC
perl-Encode-DoubleEncodedUTF8-0.05-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Encode-DoubleEncodedUTF8-0.05-1.el6

Comment 10 Fedora Update System 2014-03-01 00:49:47 UTC
perl-Encode-DoubleEncodedUTF8-0.05-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Encode-DoubleEncodedUTF8-0.05-1.fc20

Comment 11 Fedora Update System 2014-03-01 07:11:04 UTC
perl-Encode-DoubleEncodedUTF8-0.05-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2014-03-10 06:47:00 UTC
perl-Encode-DoubleEncodedUTF8-0.05-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-03-15 19:50:27 UTC
perl-Encode-DoubleEncodedUTF8-0.05-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.